Debian セキュリティ勧告

DSA-2434-1 nginx -- 機密情報漏洩

報告日時:
2012-03-19
影響を受けるパッケージ:
nginx
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 664137.
Mitre の CVE 辞書: CVE-2012-1180.
詳細:

Matthew Daley さんにより、nginx にメモリ漏洩の欠陥が発見されました。 このウェブサーバの以前の版では、攻撃者が細工した HTTP レスポンスを使 って解放済みのメモリの内容を取得できるため、機密情報漏洩の恐れがありま す。

安定版 (stable) ディストリビューション (squeeze) では、この問題はバー ジョン 0.7.67-3+squeeze2 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバー ジョン 1.1.17-1 で修正されています。

直ぐに nginx パッケージをアップグレードすることを勧めます。